URL structure
Supported methods and overview
GET- used to retrieve the total numbers of shared and unshared items on the Covata Platform.
This method takes no parameters.
Detailed description
This API endpoint retrieves the total numbers of shared and unshared items on the Covata Platform. Counts for files (i.e. Secure Objects) only include files in the Created state.Supported roles
This API endpoint supports the following Covata user roles (as described in the Organization Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
A JSON-formatted response containing the following members:- totalSharedObjects - The total number of shared Secure Objects in the Created state on the Covata Platform.
-
totalUnsharedObjects - The total number of unshared Secure Objects in the Created state on the Covata Platform.
Example:

